App not working on IE and Safari

I understand that the fetch API does not work on neither IE nor Safari, so I added a fetch and promise polyfill to my dependencies. However, it is still showing an error coming from my bundle.js file. After inspecting the IE debugger, it seems that the error is coming from a user auth module I installed called react stormpath where it is directly referring to Promise. Would adding “var Promise = require(“promise-polyfill”)” work? Thanks in advance!